
function [theta_MSE,theta_BIAS,theta_RBIAS,mean_ED,mean_SE,mean_area,mean_time,chi_square]=evaluate_performance(theta_true,ptheta_entropy,ptheta_random,ptheta_updown,ptheta_p05,eap_se_entropy,eap_se_random,eap_se_updown,eap_se_p05,area,time_used_entropy,time_used_random,time_used_updown,time_used_p05,number_being_answered,nstimuli)
    

[nexaminees,total_trial_length]=size(time_used_entropy);
    
mean_SE=[mean(eap_se_entropy,1);mean(eap_se_random,1);mean(eap_se_updown,1);mean(eap_se_p05)];
theta_MSE=[mean((ptheta_entropy-theta_true).^2,1);mean((ptheta_random-theta_true).^2,1);mean((ptheta_updown-theta_true).^2,1);mean((ptheta_p05-theta_true).^2,1)];
theta_BIAS=[mean(ptheta_entropy-theta_true,1);mean(ptheta_random-theta_true,1);mean(ptheta_updown-theta_true,1);mean(ptheta_p05-theta_true,1)];

theta_RBIAS=[mean((ptheta_entropy-theta_true)./theta_true,1);mean((ptheta_random-theta_true)./theta_true,1);mean((ptheta_updown-theta_true)./theta_true,1);mean((ptheta_p05-theta_true)./theta_true,1)];

mean_ED=[mean(sqrt(sum((ptheta_entropy-theta_true).^2,2)),1);mean(sqrt(sum((ptheta_random-theta_true).^2,2)),1);mean(sqrt(sum((ptheta_updown-theta_true).^2,2)),1);mean(sqrt(sum((ptheta_p05-theta_true).^2,2)),1)];
mean_area=mean(area,1);
mean_time=[mean(time_used_entropy(:)),mean(time_used_random(:)),mean(time_used_updown(:)),mean(time_used_p05(:))];
    
chi_square=sum((number_being_answered/(nexaminees*total_trial_length)-1/nstimuli).^2,1)/(1/nstimuli);
    
end

