
function [theta_mc,theta_true,prior_value]=generate_theta_mc(a_mc,b_mc,c_mc,nparameters)


length_a=length(a_mc);
length_b=length(b_mc);
length_c=length(c_mc);
total_sample=length_a*length_b*length_c;
    
theta_mc=zeros(total_sample,nparameters);
theta_mc(:,1)=repmat(a_mc',total_sample/length_a,1);
theta_mc(:,2)=repmat(kron(b_mc,ones(1,length_a))',total_sample/(length_a*length_b),1);
theta_mc(:,3)=repmat(kron(c_mc,ones(1,length_a*length_b))',total_sample/(length_a*length_b*length_c),1);
    
theta_true=theta_mc;

prior_matrix=repmat([1/(max(a_mc)-min(a_mc)),1/(max(b_mc)-min(b_mc)),1/(max(c_mc)-min(c_mc))],total_sample,1);
prior_value=prod(prior_matrix,2);
prior_value=prior_value/sum(prior_value);

end

